SaaS CMS has officially launched! Learn more now.

Site stopped working and started getting new errors in EPiServer.Cms.TinyMce and EPiServer.Framework.AspNet just after switching branches.

Vote:
 

Hi, I was done with an EPiServer upgrade on a site i have been working on, from EPiServer 8 to EPiServer 11, and was about to upload it to our stage enviorment. Everything was working fine until I had to change branches a quick second. When I switched back to the upgraded branch that I was working on, and try to run it just as a double check I suddenly got this error (sorry for the swedish error log):

Serverfel i tillämpningsprogrammet /.

Det gick inte att läsa in typen EPiServer.Editor.TinyMCE.TinyMCESettings från sammansättningen EPiServer.Cms.TinyMce, Version=1.0.0.0, Culture=neutral, PublicKeyToken=8fe83dea738b45b7.

Beskrivning: Ett undantag som inte kunde hanteras uppstod när den aktuella webbegäran kördes. Mer information om felet och var i koden det uppstod finns i stackspårningen.

Undantagsinformation: System.TypeLoadException: Det gick inte att läsa in typen EPiServer.Editor.TinyMCE.TinyMCESettings från sammansättningen EPiServer.Cms.TinyMce, Version=1.0.0.0, Culture=neutral, PublicKeyToken=8fe83dea738b45b7.


Källfel:

[Inga relevanta källrader]


Källfil: c:\Users\98dav\AppData\Local\Temp\Temporary ASP.NET Files\vs\f48e7528\dcbb953f\App_global.asax.0.cs    Rad: 0

It says that It couldnt read type Episerver.Editor.TinyMCE.TinyMCESetting from Episerver.Cms.TinyMce version 1.0.0.0. However I'm not using that version, I'm using 2.13.0. I looked in the bin folder to see if I happened to have an older version of the dll, but nope, it says it's using 2.13.0. I also checked the properties of the references in visual studio as well as the version of the dll in the packageing folder, and they both say that I'm using version 2.13.0. Also checked in the .csproj, package.config and web.config, and they all say that It's using 2.13.0. 

I also tried to delete the files in the Temporary ASP.Net files folder, but that didn't work either. 

I then looked in the output window in vs and found this line: 

Exception thrown: 'System.TypeLoadException' in EPiServer.Framework.AspNet.dll

I then tried to reinstall EPiServer.Framework.AspNet package, but it didn't work either. I double checked all files regarding the EPiServer.Framework.AspNet package, but I couldn't find anything wrong with it.

I have just tested about everything I can come up with and I can't find anything on what to do online. The strange thing is that I tried to re-download the same branch to my home computer and that seemed to work fine without any errors. I have no idea why I keep running into this problem were the site dosen't not work and get a buch of wierd errors only when I run it on my work laptop and not any other computer.

Does anyone know why I get this error just on my work laptop and how to fix it? Any help would be appreciated.

#231385
Nov 26, 2020 11:33
Vote:
 

Ok so it dosen't seem to be a problem specificallt on my machine, my co-worker tested the branch himself and he got the same error. Still don't know what causes this problem.

#231388
Nov 26, 2020 13:17
Vote:
 

Hi David,

Most likely related to the version changes and when you switch between old and upgraded branches you haven't cleaned up the bin directory.

So if not already done:

  • clean solution
  • check that the bin directory is empty
    • if there is something, delete all
  • rebuild and run
    • if you still get error, then i would re-do the above
    • and delete everything from ASP.NET Temporary files
      • sample: C:\Windows\Microsoft.NET\Framework64\v4.0.30319\Temporary ASP.NET Files
      • but depends are you using x32 or x64
    • rebuild and run again

Are you using IIS Express or IIS?

#231469
Nov 28, 2020 9:53
Vote:
 

It seems there are some invalid entries in the episerver database that you should clean up.

It tries to load settings from a type/assembly that is no longer available in the appdomain.

#232695
Dec 02, 2020 11:32
* You are NOT allowed to include any hyperlinks in the post because your account hasn't associated to your company. User profile should be updated.